Subject: Re: bug#56803: [PATCH 0/6] Add hydrus network and its dependencies
From: Ludovic Courtès <[email-masked]>
To: Tomasz Jeneralczyk <[email-masked]>
Cc: [email-masked]
Date: Tue, 30 Aug 2022 00:46:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Tomasz Jeneralczyk <[email-masked]> skribis:

> Hydrus-network has a weekly release cycle and is meant to be used from its own
> directory so I artificially spread it out to comply with guix's expectations.
>
> I was not able to build the program's help files. Fixing it would probably
> mean packaging a whole new build system for guix - more info in source
> comments.
>
> Also adds copyright and new used modules.
>
> * gnu/packages/image-viewers.scm (hydrus-network): Add variable.

I pushed the whole series:

  9b8507df11 gnu: Add hydrus-network.
  f82a8873d3 gnu: python-cloudscraper: Update to 1.2.60.
  5920196e47 gnu: opencv: Build Python bindings.
  619af9f307 gnu: Add python-mpv.
  e1ea628776 gnu: Add python-xvfbwrapper.
  05246c691b gnu: Add swftools.

I had to make a number of adjustments, such as tweaking commit logs,
moving info from the commit log to comments for swftools, changing the
swftools license to ‘gpl2+’ (because source file headers carry the “or
any later version” wording), avoiding “(package-license mpv)” as this
leads to a top-level circular dependency, and removing bundled binaries
from hydrus-network.

Thanks,
Ludo’.